# Embedded file name: /usr/lib/enigma2/python/Plugins/Extensions/OscamFinder/plugin.py
from Screens.Screen import Screen
from Components.Label import Label
from Components.ActionMap import ActionMap
from Screens.MessageBox import MessageBox
from Plugins.Plugin import PluginDescriptor
from lxml import html
import requests
import os

class HalloWorldMsg(Screen):
    skin = '\n\t\t<screen position="130,150" size="460,150" title="Oscam Finder" >\n\t\t\t<widget name="myLabel" position="10,60" size="200,40" font="Regular;20"/>\n\t\t</screen>'

    def __init__(self, session, args = 0):
        self.session = session
        Screen.__init__(self, session)
        self['myLabel'] = Label(_('Press OK to update'))
        self['myActionMap'] = ActionMap(['SetupActions'], {'ok': self.myMsg,
         'cancel': self.cancel}, -1)

    def myMsg(self):
        os.system('rm /etc/CCcam.cfg')
        print 'File deleted'
        os.system('touch /etc/CCcam.cfg')
        print 'File created'
        String = 'WEBINFO USERNAME :'
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        String = 'WEBINFO PASSWORD :'
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        String = 'ALLOW WEBINFO: yes'
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        String = 'WEBINFO LISTEN PORT : 16001'
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        String = 'CHANNELINFO FILE : /etc/CCcam.channelinfo'
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        String = 'CAID PRIO FILE : /etc/CCcam.prio'
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        String = 'PROVIDERINFO FILE : /etc/CCcam.providers'
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        String = 'STATIC CW FILE : /usr/keys/constant.cw'
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        String = 'SOFTKEY FILE : /usr/keys/SoftCam.Key'
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        String = 'AUTOROLL FILE : /usr/keys/AutoRoll.Key'
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        String = ''
        os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        headers = {'User-agent': 'Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.9.0.15) Gecko/2009102815 Ubuntu/9.04 (jaunty) Firefox/3.',
         'Connection': 'Close'}
        Alpha = 'abcdefghijklmnopqrstuvwxyz0123456789'
        user = ''
      

        try:
            page = requests.get('https://cccamspot.com/cccamfree/get.php')
            tree = html.fromstring(page.content)
            Cline = tree.xpath('/html/body/centre/h1/text()')
            if not Cline:
                print 'List is empty'
            else:
                String = ''.join(Cline).strip()
                print "sh -c 'echo " + String + " >> /etc/CCcam.cfg'"
                os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        except requests.exceptions.RequestException as e:
            print e

        

        try:
            page = requests.get('http://cccamgoal.com/free5/get2.php')
            tree = html.fromstring(page.content)
            Cline = tree.xpath('/html/body/centre/h1/text()')
            if not Cline:
                print 'List is empty'
            else:
                String = ''.join(Cline).strip()
                print "sh -c 'echo " + String + " >> /etc/CCcam.cfg'"
                os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        except requests.exceptions.RequestException as e:
            print e

        try:
            page = requests.get('http://cccamprima.com/free5/get2.php')
            tree = html.fromstring(page.content)
            Cline = tree.xpath('/html/body/centre/h1/text()')
            if not Cline:
                print 'List is empty'
            else:
                String = ''.join(Cline).strip()
                print "sh -c 'echo " + String + " >> /etc/CCcam.cfg'"
                os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        except requests.exceptions.RequestException as e:
            print e
            
        try:
            page = requests.get('https://cccamfreex.com/free/get.php')
            tree = html.fromstring(page.content)
            Cline = tree.xpath('/html/body/centre/h1/text()')
            if not Cline:
                print 'List is empty'
            else:
                String = ''.join(Cline).strip()
                print "sh -c 'echo " + String + " >> /etc/CCcam.cfg'"
                os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        except requests.exceptions.RequestException as e:
            print e
            
        try:
            page = requests.get('https://cccamsupreme.com/cccamfree/get.php')
            tree = html.fromstring(page.content)
            Cline = tree.xpath('/html/body/centre/h1/text()')
            if not Cline:
                print 'List is empty'
            else:
                String = ''.join(Cline).strip()
                print "sh -c 'echo " + String + " >> /etc/CCcam.cfg'"
                os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
        except requests.exceptions.RequestException as e:
            print e
            
        try:
            page = requests.get('https://cccamiptv.co/FREEN12/new0.php')
            tree = html.fromstring(page.content)
            Cline = tree.xpath('/html/body/centre/h1/text()')
            if not Cline:
                print 'List is empty'
            else:
                String = ''.join(Cline).strip()
                print "sh -c 'echo " + String + " >> /etc/CCcam.cfg'"
                os.popen("sh -c 'echo " + String + " >> /etc/CCcam.cfg'", 'w').write('')
                os.system('/usr/lib/enigma2/python/Plugins/Extensions/CCcamFinder/conv.sh')
                print 'File converted'
                
        except requests.exceptions.RequestException as e:
            print e
            
            
            
    
    
       

        self.session.open(MessageBox, _('Servers are updating !'), MessageBox.TYPE_INFO)

    def cancel(self):
        self.close(False, self.session)
        
    

def main(session, **kwargs):
    session.open(HalloWorldMsg)


def Plugins(**kwargs):
    return PluginDescriptor(name='Oscam', description='Oscam Server', where=PluginDescriptor.WHERE_PLUGINMENU, icon='/usr/lib/enigma2/python/Plugins/Extensions/OscamFinder/icon.png', fnc=main)